Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.html
Class OptionTagAdapter

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.OptionTag
                  com.bea.struts.adapter.taglib.html.OptionTagAdapter

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class OptionTagAdapter

extends OptionTag

Tag adapter for the Struts OptionTag

See Also
  Serialized Form
  This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal or in future versions of the 3rd party types.

Field Summary

Fields inherited from class org.apache.struts.taglib.html.OptionTag
`bundle, defaultLocale, disabled, key, locale, messages, styleId, text, value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OptionTagAdapter()`

Method Summary
`protected String` | `renderOptionElement()` Generate an HTML %lt;option> element.

Methods inherited from class org.apache.struts.taglib.html.OptionTag
`doAfterBody, doEndTag, doStartTag, getBundle, getDisabled, getKey, getLocale, getStyle, getStyleClass, getStyleId, getValue, release, setBundle, setDisabled, setKey, setLocale, setStyle, setStyleClass, setStyleId, setValue, text`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### OptionTagAdapter

    public OptionTagAdapter()

Method Detail

### renderOptionElement

    protected String renderOptionElement()
                                  throws javax.servlet.jsp.JspException

  Generate an HTML %lt;option> element.

  Overrides:
    `renderOptionElement` in class `OptionTag`
  Throws
    `javax.servlet.jsp.JspException`
  Since:
    Struts 1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved